JobIdPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records.impl.pb, class: JobIdPBImpl

Package org.apache.hadoop.mapreduce.v2.api.records.impl.pb

# Class JobIdPBImpl

java.lang.Object
org.apache.hadoop.mapreduce.v2.api.records.JobId
org.apache.hadoop.mapreduce.v2.api.records.impl.pb.JobIdPBImpl

All Implemented Interfaces:
  `Comparable<JobId>`

public class JobIdPBImpl extends JobId

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.v2.api.records.JobId

  `JOB, SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobIdPBImpl()`
  `JobIdPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobIdProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ApplicationId`
  `getAppId()`
  Get the associated ApplicationId which represents the start time of the `ResourceManager` and is used to generate the globally unique `JobId`.
  `int`
  `getId()`
  Get the short integer identifier of the `JobId` which is unique for all applications started by a particular instance of the `ResourceManager`.
  `org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobIdProto`
  `getProto()`
  `void`
  `setAppId(org.apache.hadoop.yarn.api.records.ApplicationId appId)`
  `void`
  `setId(int id)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.api.records.JobId

  `compareTo, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JobIdPBImpl

    public JobIdPBImpl()

  - ### JobIdPBImpl

    public JobIdPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobIdProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRProtos.JobIdProto getProto()

  - ### getAppId

    public org.apache.hadoop.yarn.api.records.ApplicationId getAppId()
    Description copied from class: `JobId`
    Get the associated ApplicationId which represents the start time of the `ResourceManager` and is used to generate the globally unique `JobId`.
    Specified by:
      `getAppId` in class `JobId`
    Returns:
      associated `ApplicationId`

  - ### setAppId

    public void setAppId(org.apache.hadoop.yarn.api.records.ApplicationId appId)
    Specified by:
      `setAppId` in class `JobId`

  - ### getId

    public int getId()
    Description copied from class: `JobId`
    Get the short integer identifier of the `JobId` which is unique for all applications started by a particular instance of the `ResourceManager`.
    Specified by:
      `getId` in class `JobId`
    Returns:
      short integer identifier of the `JobId`

  - ### setId

    public void setId(int id)
    Specified by:
      `setId` in class `JobId`